CHFN(1)

NOM
chfn - Modifier le nom complet et les informations associées à un utilisateur

SYNOPSIS

chfn [options] [LOGIN]

DESCRIPTION

La commande chfn modifie le nom complet d'un utilisateur, son numéro de bureau, son numéro de téléphone professionnel, son extension, et son numéro de téléphone personnel. Ces informations sont généralement affichées par finger(1) ou d'autres programmes similaires. Un utilisateur normal ne peut modifier que les informations associées à son propre compte, avec les restrictions précisées dans /etc/login.defs. (Par défaut, les utilisateurs ne peuvent pas modifier leur nom complet). Le superutilisateur peut modifier n'importe quel champ pour n'importe quel compte. De plus, seul le superutilisateur peut utiliser l'option -o pour modifier les parties non précisées du champ GECOS.

Ces champs ne doivent contenir aucun « : ». À l'exception du champ autre, ils ne doivent contenir aucune virgule ou signe égal. Il est également recommandé d'éviter les caractères non US-ASCII, mais cela n'est imposé que pour les numéros de téléphone. Le champ autre est utilisé pour garder des informations de compte utilisées par d'autres applications.

OPTIONS

Les options applicables à la commande chfn sont :

-f, --full-name FULL_NAME
    Modifier le nom complet de l'utilisateur.

-h, --home-phone HOME_PHONE
    Modifier le numéro de téléphone personnel de l'utilisateur.

-o, --other OTHER
    Modifier les informations GECO de l'utilisateur. Ce champ est utilisé pour enregistrer les informations de l'utilisateur utilisées par d'autres applications et peut être changé seulement par un superutilisateur.

-r, --room ROOM_NUMBER
    Modifier le numéro de bureau de l'utilisateur.

-R, --root CHROOT_DIR
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

-u, --help
    Afficher un message d'aide et quitter.

-w, --work-phone WORK_PHONE
    Modifier le numéro de téléphone professionnel de l'utilisateur.

Si aucune option n'est sélectionnée, chfn opère de manière interactive, demandant à l'utilisateur d'entrer les valeurs actuelles de chacun des champs. Entrer une nouvelle valeur pour la modifier, ou de laisser une ligne blanche pour conserver la valeur actuelle. La valeur actuelle est indiquée entre crochets ([ ]). En l'absence d'option, chfn opère sur l'utilisateur actuel.

CONFIGURATION

Les variables de configuration suivantes dans /etc/login.defs modifient le comportement de cet outil :

CHFN_AUTH (booléen)
    La valeur yes indique que le programme chfn nécessitera une authentification avant de procéder à tout changement, à moins qu'ils ne soient exécutés par le superutilisateur.

CHFN_RESTRICT (chaîne de caractères)
    Ce paramètre précise quelles valeurs du champ gecos du fichier passwd peuvent être modifiées par les utilisateurs ordinaires à l'aide du programme chfn. Il est constitué d'une combinaison de lettres parmi f, r, w et h, correspondant respectivement au nom complet, au numéro de bureau, au numéro de téléphone professionnel et au numéro de téléphone personnel. Pour des raisons de compatibilité avec des versions antérieures, yes est équivalent à rwh et no à frwh. S'il n'est pas précisé, seul le superutilisateur peut effectuer des modifications. Pour une configuration encore plus restrictive, il sera préférable de ne pas installer chfn avec l'indicateur SUID positionné.

LOGIN_STRING (chaîne de caractères)
    La chaîne de caractères utilisée pour l'invite de mot de passe. La valeur par défaut est d'utiliser "Password: " (« mot de passe : »), ou une traduction de cette chaîne. Si vous définissez cette variable, l'invite ne sera pas traduite.

    Si la chaîne contient %s, ces caractères seront remplacés par le nom de l'utilisateur.

FICHIERS

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

/etc/passwd
    Informations sur les comptes des utilisateurs.

VOIR AUSSI

chsh(1), login.defs(5), passwd(5).